Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenExpressionProviderBase

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenExpressionInterpreter, GenJavaExpressionProvider

All Known Implementing Classes:
  GenExpressionInterpreterImpl, GenExpressionProviderBaseImpl, GenJavaExpressionProviderImpl

public interface GenExpressionProviderBase
extends EObject

A representation of the model object 'Gen Expression Provider Base'.

The following features are supported:

- `Expressions`
- `Container`

See Also:
  `GMFGenPackage.getGenExpressionProviderBase()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenExpressionProviderContainer` `getContainer()` Returns the value of the 'Container' container reference.
`EList` `getExpressions()` Returns the value of the 'Expressions' reference list.
`GenLanguage` `getLanguage()` If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...
`java.lang.String` `getQualifiedInstanceClassName(GenClassifier genClassifier)`
`java.lang.String` `getQualifiedInstanceClassName(GenTypedElement genTypedElement)`
`EList` `getRequiredPluginIDs()`
`void` `setContainer(GenExpressionProviderContainer value)` Sets the value of the '`Container`' container reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLanguage

    public GenLanguage getLanguage()

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  ** Generated **
  Model:
    kind="operation" required="true"

### getExpressions

    public EList getExpressions()

  Returns the value of the 'Expressions' reference list. The list contents are of type `ValueExpression`.

  If the meaning of the 'Expressions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expressions' reference list.
  See Also:
    `GMFGenPackage.getGenExpressionProviderBase_Expressions()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.ValueExpression"

### getContainer

    public GenExpressionProviderContainer getContainer()

  Returns the value of the 'Container' container reference. It is bidirectional and its opposite is '`Providers`'.

  If the meaning of the 'Container' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Container' container reference.
  See Also:
    `GenExpressionProviderBase.setContainer(GenExpressionProviderContainer)`, `GMFGenPackage.getGenExpressionProviderBase_Container()`, `GenExpressionProviderContainer.getProviders()`
  ** Generated **
  Model:
    opposite="providers" required="true"

### setContainer

    public void setContainer(GenExpressionProviderContainer value)

  Sets the value of the '`Container`' container reference.

  Parameters:
    `value` - the new value of the 'Container' container reference.
  See Also:
    `GenExpressionProviderBase.getContainer()`
  ** Generated **

### getRequiredPluginIDs

    public EList getRequiredPluginIDs()

  ** Generated **
  Model:
    kind="operation" type="java.lang.String"

### getQualifiedInstanceClassName

    public java.lang.String getQualifiedInstanceClassName(GenClassifier genClassifier)

### getQualifiedInstanceClassName

    public java.lang.String getQualifiedInstanceClassName(GenTypedElement genTypedElement)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.